Skip to content
GuidesPlaygroundDashboard

Query features by bounding box or H3 cell

GET/api/v1/features

Query features by bounding box or H3 cell

Query ParametersExpand Collapse
bbox: optional string

Bounding box: south,west,north,east. At least one of bbox or h3 is required.

cursor: optional string

Cursor for pagination

h3: optional string

H3 cell index. At least one of bbox or h3 is required.

limit: optional number

Maximum results (default 100, max 10000)

type: optional string

Element types (comma-separated: node,way,relation)

ReturnsExpand Collapse
FeatureCollection = object { features, type }

Bare GeoJSON FeatureCollection. Pagination metadata is returned in HTTP headers (X-Limit, X-Has-More, X-Next-Cursor, X-Next-Offset, Link).

features: array of GeoJsonFeature { geometry, properties, type, 2 more }
geometry: GeoJsonGeometry { coordinates, type }
coordinates: array of number or array of array of number or array of array of array of number or array of array of array of array of number

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
array of number
array of array of number
array of array of array of number
array of array of array of array of number
type: "Point" or "LineString" or "Polygon" or 3 more
One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: map[unknown]
type: "Feature"
id: optional string

Feature identifier (type/osm_id)

osm_id: optional number

OpenStreetMap ID

type: "FeatureCollection"

Query features by bounding box or H3 cell

curl https://plaza.fyi/api/v1/features \
    -H "Authorization: Bearer $PLAZA_API_KEY"
Returns Examples